Subject: Re: [bug#33540] [PATCH 2/3] gnu: Add lttoolbox.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 03 Dec 2018 10:36:10 +0100

Arun Isaac <[email-masked]> skribis:

>>> +     (origin
>>> +       (method url-fetch)
>>> +       (uri (string-append
>>> +             "https://github.com/apertium/lttoolbox/releases/download/v"
>>> +             version "/lttoolbox-" version ".tar.gz"))
>>
>> Instead of relying on generated tarballs like this one whose content may
>> change over time, we’re now switching to using ‘git-fetch’.  Could you
>> change this one accordingly?
>
> I don't think
> https://github.com/apertium/apertium/releases/download/v3.5.2/apertium-3.5.2.tar.gz
> is an autogenerated tarball. That is at
> https://github.com/apertium/apertium/archive/v3.5.2.tar.gz . Should I
> still switch to using git-fetch?
>
> That said, I tried building lttoolbox again now, and the hash does seem
> to have changed. I don't understand what's going on.

Ouch.  Indeed GitHub has an “asset” feature that some projects use,
which allows them to upload tarballs.  You could use that (esp. since
the project uses the Autotools), except if it turns out to be modified
in place too often…

Ludo’.